#![feature(duration_constructors)]
use bevy::{
    diagnostic::{FrameTimeDiagnosticsPlugin, LogDiagnosticsPlugin},
    prelude::*,
};
use bevy_inspector_egui::quick::WorldInspectorPlugin;

pub mod animals;
pub mod camera;
pub mod map;
pub mod time;
pub mod ui;

#[bevy_main]
pub fn main() {
    App::new()
        .add_plugins((
            DefaultPlugins,
            // WorldInspectorPlugin::default(),
            camera::Plugin,
            map::Plugin,
            ui::Plugin,
            time::Plugin,
            animals::Plugin,
            FrameTimeDiagnosticsPlugin,
            LogDiagnosticsPlugin {
                filter: Some(vec![FrameTimeDiagnosticsPlugin::FPS]),
                ..Default::default()
            },
        ))
        .run();
}
